WriteNowEntry Struct Reference documentation

WriteNowEntry Struct Referencefinal

class to store entry in a WriteNow document More...

`#include <WriteNowEntry.hxx>`

Inheritance diagram for WriteNowEntry:

## Public Member Functions
| WriteNowEntry ()
| construtor
| WriteNowEntry (WriteNowEntry const &)=default
WriteNowEntry & | operator= (WriteNowEntry const &)=default
WriteNowEntry & | operator= (WriteNowEntry &&)=default
| ~WriteNowEntry () final
| destructor
bool | isZoneType () const
| returns true if this entry store a zone
bool | isZone () const
| returns true if this is a zone
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry &&)=default
virtual | ~MWAWEntry ()
| destructor
void | setBegin (long off)
| sets the begin offset
void | setLength (long l)
| sets the zone size
void | setEnd (long off)
| sets the end offset
long | begin () const
| returns the begin offset
long | end () const
| returns the end offset
long | length () const
| returns the length of the zone
bool | valid () const
| returns true if the zone length is positive
bool | operator== (const MWAWEntry &a) const
| basic operator==
bool | operator!= (const MWAWEntry &a) const
| basic operator!=
bool | isParsed () const
| a flag to know if the entry was parsed or not
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...
std::string const & | type () const
| returns the type of the entry
bool | hasType (std::string const &typ) const
| returns true if the type entry == type
void | setName (std::string const &nam)
| sets the name of the entry
std::string const & | name () const
| name of the entry
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name
int | id () const
| returns the id
void | setId (int newId)
| sets the id
std::string const & | extra () const
| retrieves the extra string
void | setExtra (std::string const &s)
| sets the extra string

## Public Attributes
int | m_fileType
| the file entry id
int | m_val [4]
| other values

## Friends
std::ostream & | operator<< (std::ostream &o, WriteNowEntry const &entry)
| operator<<

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry.
long | m_length
| the size of the entry
std::string | m_type
| the entry type
std::string | m_name
| the name
std::string | m_extra
| an extra string
int | m_id
| an identificator
bool | m_parsed
| a bool to store if the entry is or not parsed

## Detailed Description

class to store entry in a WriteNow document

## Constructor & Destructor Documentation

## ◆ WriteNowEntry() [1/2]

WriteNowEntry::WriteNowEntry | ( |  | ) |
| inline

construtor

Referenced by operator<<, operator=(), operator=(), and WriteNowEntry().

## ◆ WriteNowEntry() [2/2]

WriteNowEntry::WriteNowEntry | ( | WriteNowEntry const & |  | ) |
| default

## ◆ ~WriteNowEntry()

WriteNowEntry::~WriteNowEntry | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ isZone()

bool WriteNowEntry::isZone | ( |  | ) | const
| inline

returns true if this is a zone

Referenced by WriteNowParser::parseGraphicZone(), and WriteNowParser::readDocEntries().

## ◆ isZoneType()

bool WriteNowEntry::isZoneType | ( |  | ) | const
| inline

returns true if this entry store a zone

Referenced by isZone(), isZoneType(), and WriteNowParser::readEntry().

## ◆ operator=() [1/2]

WriteNowEntry & WriteNowEntry::operator= | ( | WriteNowEntry && |  | ) |
| default

## ◆ operator=() [2/2]

WriteNowEntry & WriteNowEntry::operator= | ( | WriteNowEntry const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WriteNowEntry const & | entry )
| friend

operator<<

## Member Data Documentation

## ◆ m_fileType

int WriteNowEntry::m_fileType

the file entry id

Referenced by WriteNowParser::checkHeader(), isZoneType(), operator<<, WriteNowText::parseZone(), WriteNowParser::readEntry(), and WriteNowEntry().

## ◆ m_val

int WriteNowEntry::m_val[4]

other values

Referenced by operator<<, WriteNowText::parseContent(), WriteNowParser::parseGraphicZone(), WriteNowText::parseZone(), WriteNowParser::readEntry(), and WriteNowEntry().

The documentation for this struct was generated from the following files:

- WriteNowEntry.hxx
- WriteNowEntry.cxx